Subject: Re: [PATCH 2/2] test-lib.sh: fix color support when tput needs ~/.terminfo

From: Jeff King <[email-masked]>
Date: Wed, 17 Jun 2015 16:25:08 -0400

On Wed, Jun 17, 2015 at 03:55:05PM -0400, Richard Hansen wrote:

> > I do not mind it so much as you have
> > it, but it does mean adding a new field needs to update two spots.
> 
> I also don't like the duplicate list of color types, and I considered
> doing something similar to what you suggested, but I decided against it.
>  I'm a bit worried about bizarre syntax errors or code execution if
> say_color() is used improperly.  ('eval' with uncontrolled variables
> makes me nervous.)

As Junio pointed out, I think all bets are off in the test scripts. They
are running tons of arbitrary code. :)

But for the record, I am fine with your patch as-is. Thanks for looking
into it.

-Peff